@font-face {
	font-family: 'Calibri';
	src: url('../lib/fonts/calibri.ttf') format('truetype');
}

* {
	padding: 0;
	margin: 0;
	border: 0;
}

html {
	min-height: 100%;
	font-family: 'Calibri', Helvetica, Arial;
	font-size: 9pt;
}

body {
	height: 100%;
	width: 100%;
	overflow: hidden;
	background-image: url('../img/bg_cont_mid.webp');
	background-position: top center;
	background-repeat: repeat-y;
	background-size: 100%;
	/*background-color: #fde5c1;*/
	background-color: #181B57;
	background-blend-mode: overlay;
	margin: 1em 0;
}

h2 {
	color: #d0d0d0;
	padding-bottom: 0.5em;
	position: relative;
}

#pre-load {
	z-index: 10;
	position: absolute;
	inset: 0;
	width: 100%;
	height: 100%;
	background-color: #fff;
}

#worldmap,
#dungeons {
	position: relative;
	inset: 0;
	width: 100%;
	height: 100%;
	display: none;
}

#worldmap.active {
	width: 1440px !important;
	display: block;
	margin: 0 auto;
	left: -105px;
}

#dungeons.active {
	width: 1120px !important;
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-start;
	row-gap: 2em;
	padding: 0 2em;
	margin: 0 auto;
}

.dungeon-group {
	display: block;
	width: calc(50% - 2em);
	margin-right: 2em;
	position: relative;
}

.dungeon-group a.map {
	position: relative !important;
	background: #999;
	border: 1px solid #181818;
}

a.map {
	min-height: 2em !important;
	min-width: 2em !important;
	position: absolute;
	display: block;
	cursor: pointer;
}

a.map > img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

a#yuno,
a#prt_gld,
a#gonryun {
	z-index: 1;
}

a#sch_gld {
	z-index: 2;
}

a.map .tooltip {
	display: none;
	width: 24em;
	min-height: 2em;
	z-index: -1;
	background: rgba(255,255,255,0.85);
	border-radius: 0.25em;
	filter: drop-shadow(0 0 1em rgba(0,0,0,0.5));
	padding: 0.25em;
	box-shadow: inset 0 0 0 1px rgba(0,0,0,0.25);
}

a.map:hover .tooltip {
	position: fixed;
	display: block;
	z-index: 999;
	min-height: 2em;
}

.tooltip table {
	width: 100%;
	border-collapse: collapse;
}

.tooltip table thead th {
	background-color: #000;
	color: #fff;
	font-weight: 400;
	padding: 0.25em;
	text-align: left;
}

.tooltip table tbody th {
	border-bottom: 2px solid rgba(0,0,0,0.25);
	padding: 0.125em 0.25em;
}

.tooltip table tbody tr:last-child td {
	border-bottom: none !important;
}

.tooltip table tbody tr td {
	border-bottom: 1px solid rgba(0,0,0,0.25);
	padding: 0.25em;
}

.tooltip table tbody tr:nth-child(2n) {
	background-color: rgba(0,0,0,0.125);
}

#control-wrap {
	position: fixed;
	top: 2em;
	right: 4em;
	z-index: 4;
	width: 20em;
	min-height: 1em;
	padding: 1em;
	display: grid;
	justify-content: center;
	align-items: center;
}

#control-wrap > a > img {
	width: 100%;
	height: 100%;
}

#control-wrap > a {
	width: 100%;
	display: block;
}


#control-wrap > input {
	width: 100%;
	border: 1px solid #ddd;
	padding: 0.5em 0;
	margin-bottom: 0.25em;
}

#control-wrap > button {
	width: 100%;
	border: 1px solid #ddd;
	padding: 0.5em;
	margin-bottom: 0.25em;
}

@keyframes glow {
	to { background-color: rgba(255,255,255,0); }
	from { background-color: rgba(255,255,255,0.85); }
}

a.map.found::after {
	content: '';
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 9;
	animation: glow 1s infinite linear;
}

.map-group {
	display: flex;
	flex-wrap: wrap;
	gap: 1em;
	align-items: center;
}

.mob-mvp {
	color: #ff0000;
}
